//

char gauge_name_var_test[]		= GAUGE_NAME;
extern PELEMENT_HEADER		list_var_test;
extern MOUSERECT			mouse_rect_var_test[];

GAUGE_CALLBACK  panel_cb_var_test;

GAUGE_HEADER_FS700(GAUGE_W, gauge_name_var_test, &list_var_test, \
				   mouse_rect_var_test, panel_cb_var_test, 0, 0, 0);

//=========
MODULE_VAR pp_n1_lbu;
MODULE_VAR pp_n1_lbu_dif;
MODULE_VAR pp_n1_pu_delta;
MODULE_VAR pp_n1_got;
MODULE_VAR pp_n1_hook;
MODULE_VAR pp_n1_ost_ind;
//
MODULE_VAR pp_n2_lbu;
MODULE_VAR pp_n2_lbu_dif;
MODULE_VAR pp_n2_pu_delta;
MODULE_VAR pp_n2_got;
MODULE_VAR pp_n2_hook;
MODULE_VAR pp_n2_ost_ind;

//=========

//// Vars definition ////////////////////////////////////////////////////////
//---------------------
#define GAUGE_CHARSET				DEFAULT_CHARSET
#define GAUGE_FONT_DEFAULT			"Courier New"
#define GAUGE_WEIGHT_DEFAULT		FW_NORMAL
/////  Callback function ////////////////////////////////////////////////////

//1
FLOAT64 FSAPI	i21_n1_lbu_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n1_lbu;

wsprintf(pelement->string, "%6d", (UINT32)val0);
//	sprintf(pelement->string, "%4.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//2
FLOAT64 FSAPI	i21_n1_lbu_dif_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n1_lbu_dif;

//wsprintf(pelement->string, "%6d", (UINT32)val0);
	sprintf(pelement->string, "%4.1f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//3
FLOAT64 FSAPI	i21_n1_pu_delta_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n1_pu_delta;

//wsprintf(pelement->string, "%6d", (UINT32)val0);
	sprintf(pelement->string, "%3.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//4
FLOAT64 FSAPI	i21_n1_got_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n1_got;

wsprintf(pelement->string, "%6d", (UINT32)val0);
//	sprintf(pelement->string, "%4.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//5
FLOAT64 FSAPI	i21_n1_hook_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n1_hook;

wsprintf(pelement->string, "%6d", (UINT32)val0);
//	sprintf(pelement->string, "%4.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//6
FLOAT64 FSAPI	i21_n1_ost_ind_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n1_ost_ind;

wsprintf(pelement->string, "%6d", (UINT32)val0);
//	sprintf(pelement->string, "%4.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//
//
//1
FLOAT64 FSAPI	i21_n2_lbu_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n2_lbu;

wsprintf(pelement->string, "%6d", (UINT32)val0);
//	sprintf(pelement->string, "%4.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//2
FLOAT64 FSAPI	i21_n2_lbu_dif_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n2_lbu_dif;

//wsprintf(pelement->string, "%6d", (UINT32)val0);
	sprintf(pelement->string, "%4.1f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//3
FLOAT64 FSAPI	i21_n2_pu_delta_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n2_pu_delta;

//wsprintf(pelement->string, "%6d", (UINT32)val0);
	sprintf(pelement->string, "%3.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//4
FLOAT64 FSAPI	i21_n2_got_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n2_got;

wsprintf(pelement->string, "%6d", (UINT32)val0);
//	sprintf(pelement->string, "%4.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//5
FLOAT64 FSAPI	i21_n2_hook_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n2_hook;

wsprintf(pelement->string, "%6d", (UINT32)val0);
//	sprintf(pelement->string, "%4.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}
//6
FLOAT64 FSAPI	i21_n2_ost_ind_cb( PELEMENT_STRING pelement )
{
	FLOAT64 val0 = pelement->source_var[0].var_value.n;
	FLOAT64 val1 = pelement->source_var[1].var_value.n;
	FLOAT64 val2 = pelement->source_var[2].var_value.n;

val0 = n2_ost_ind;

wsprintf(pelement->string, "%6d", (UINT32)val0);
//	sprintf(pelement->string, "%4.2f", (FLOAT64)val0);
//wsprintf(pelement->string, "%s", "NONE");
	return val0;
}



//
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

// 6
MAKE_STRING
(
	dr_i21_n2_ost_ind,
	NULL,//&i21_n2_list_7,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	178, 120,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n2_ost_ind_cb
)

PELEMENT_HEADER		i21_n2_list_6[] =
{
	&dr_i21_n2_ost_ind.header,
	NULL
};
// 5
MAKE_STRING
(
	dr_i21_n2_hook,
	&i21_n2_list_6,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	178, 100,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n2_hook_cb
)

PELEMENT_HEADER		i21_n2_list_5[] =
{
	&dr_i21_n2_hook.header,
	NULL
};
// 4
MAKE_STRING
(
	dr_i21_n2_got,
	&i21_n2_list_5,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	178, 80,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n2_got_cb
)

PELEMENT_HEADER		i21_n2_list_4[] =
{
	&dr_i21_n2_got.header,
	NULL
};
// 3
MAKE_STRING
(
	dr_i21_n2_pu_delta,
	&i21_n2_list_4,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	178, 60,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n2_pu_delta_cb
)

PELEMENT_HEADER		i21_n2_list_3[] =
{
	&dr_i21_n2_pu_delta.header,
	NULL
};
// 2
MAKE_STRING
(
	dr_i21_n2_lbu_dif,
	&i21_n2_list_3,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	178, 40,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n2_lbu_dif_cb
)

PELEMENT_HEADER		i21_n2_list_2[] =
{
	&dr_i21_n2_lbu_dif.header,
	NULL
};
// 1
MAKE_STRING
(
	dr_i21_n2_lbu,
	&i21_n2_list_2,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	178, 20,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n2_lbu_cb
)

PELEMENT_HEADER		i21_n2_list_1[] =
{
	&dr_i21_n2_lbu.header,
	NULL
};
//
//
//
// 6
MAKE_STRING
(
	dr_i21_n1_ost_ind,
	&i21_n2_list_1,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	98, 120,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n1_ost_ind_cb
)

PELEMENT_HEADER		i21_n1_list_6[] =
{
	&dr_i21_n1_ost_ind.header,
	NULL
};
// 5
MAKE_STRING
(
	dr_i21_n1_hook,
	&i21_n1_list_6,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	98, 100,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n1_hook_cb
)

PELEMENT_HEADER		i21_n1_list_5[] =
{
	&dr_i21_n1_hook.header,
	NULL
};
// 4
MAKE_STRING
(
	dr_i21_n1_got,
	&i21_n1_list_5,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	98, 80,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n1_got_cb
)

PELEMENT_HEADER		i21_n1_list_4[] =
{
	&dr_i21_n1_got.header,
	NULL
};
// 3
MAKE_STRING
(
	dr_i21_n1_pu_delta,
	&i21_n1_list_4,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	98, 60,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n1_pu_delta_cb
)

PELEMENT_HEADER		i21_n1_list_3[] =
{
	&dr_i21_n1_pu_delta.header,
	NULL
};
// 2
MAKE_STRING
(
	dr_i21_n1_lbu_dif,
	&i21_n1_list_3,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	98, 40,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n1_lbu_dif_cb
)

PELEMENT_HEADER		i21_n1_list_2[] =
{
	&dr_i21_n1_lbu_dif.header,
	NULL
};
// 1
MAKE_STRING
(
	dr_i21_n1_lbu,
	&i21_n1_list_2,
	NULL,
	IMAGE_USE_ERASE | IMAGE_USE_BRIGHT,
	0,
	98, 20,
	60, 16,
	6,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	MODULE_VAR_NONE,
	RGB(250,0,0),
	RGB(0,63,30),
	RGB(92,92,92),
	GAUGE_FONT_DEFAULT,
	FW_BOLD,//GAUGE_WEIGHT_DEFAULT,
	GAUGE_CHARSET,
	0,
	DT_CENTER | DT_VCENTER | DT_SINGLELINE,
	NULL,
	i21_n1_lbu_cb
)

PELEMENT_HEADER		i21_n1_list_1[] =
{
	&dr_i21_n1_lbu.header,
	NULL
};
//-------------
MAKE_STATIC
(
	background_var_test,
	BMP_I21_TEST_BG,
	&i21_n1_list_1,
	NULL,
	IMAGE_USE_TRANSPARENCY|IMAGE_USE_ERASE,
	0,
	0,0
)

PELEMENT_HEADER		list_var_test	= &background_var_test.header;

////// Mouse definitions ///////////////////////////////////////////////////////////////////////

MOUSE_BEGIN( mouse_rect_var_test, HELP_NONE, 0, 0 )


MOUSE_END

/////////Gauge Callback Functions/////////////////////////////////////////////////

void FSAPI	panel_cb_var_test (PGAUGEHDR pgauge, int service_id, UINT32 extra_data)
{

PFLOAT64 pvar_n1_lbu = (PFLOAT64)pp_n1_lbu.var_ptr;
PFLOAT64 pvar_n1_lbu_dif = (PFLOAT64)pp_n1_lbu_dif.var_ptr;
PFLOAT64 pvar_n1_pu_delta = (PFLOAT64)pp_n1_pu_delta.var_ptr;
PBOOL pvar_n1_got = (PBOOL)pp_n1_got.var_ptr;
PBOOL pvar_n1_hook = (PBOOL)pp_n1_hook.var_ptr;
PBOOL pvar_n1_ost_ind = (PBOOL)pp_n1_ost_ind.var_ptr;
//
PFLOAT64 pvar_n2_lbu = (PFLOAT64)pp_n2_lbu.var_ptr;
PFLOAT64 pvar_n2_lbu_dif = (PFLOAT64)pp_n2_lbu_dif.var_ptr;
PFLOAT64 pvar_n2_pu_delta = (PFLOAT64)pp_n2_pu_delta.var_ptr;
PBOOL pvar_n2_got = (PBOOL)pp_n2_got.var_ptr;
PBOOL pvar_n2_hook = (PBOOL)pp_n2_hook.var_ptr;
PBOOL pvar_n2_ost_ind = (PBOOL)pp_n2_ost_ind.var_ptr;
///=====================

	switch(service_id)
	{
//  LOADING AIRCRAFT

		case PANEL_SERVICE_CONNECT_TO_WINDOW:
			
		break;

// "install_routine()" 

		case    PANEL_SERVICE_PRE_INSTALL:

		break;

// "initialize_routine()"

		case    PANEL_SERVICE_PRE_INITIALIZE:

initialize_var_by_name	(&pp_n1_lbu,"I21_N1_LBU");
initialize_var_by_name	(&pp_n1_lbu_dif,"I21_N1_LBU_DIF");
initialize_var_by_name	(&pp_n1_pu_delta,"I21_N1_PU_DELTA");
initialize_var_by_name	(&pp_n1_got,"I21_N1_GOT");
initialize_var_by_name	(&pp_n1_hook,"I21_N1_HOOK");
initialize_var_by_name	(&pp_n1_ost_ind,"I21_N1_OST_IND");
//
initialize_var_by_name	(&pp_n2_lbu,"I21_N2_LBU");
initialize_var_by_name	(&pp_n2_lbu_dif,"I21_N2_LBU_DIF");
initialize_var_by_name	(&pp_n2_pu_delta,"I21_N2_PU_DELTA");
initialize_var_by_name	(&pp_n2_got,"I21_N2_GOT");
initialize_var_by_name	(&pp_n2_hook,"I21_N2_HOOK");
initialize_var_by_name	(&pp_n2_ost_ind,"I21_N2_OST_IND");
		break;
//
// "update_routine()" 

		case    PANEL_SERVICE_PRE_UPDATE:
//
if (pp_n1_lbu.var_ptr != NULL)
	n1_lbu = *pvar_n1_lbu;
else
	n1_lbu = 0; //Сервер отсутствует
//
if (pp_n1_lbu_dif.var_ptr != NULL)
	n1_lbu_dif = *pvar_n1_lbu_dif;
else
	n1_lbu_dif = 0; //Сервер отсутствует
//
if (pp_n1_pu_delta.var_ptr != NULL)
	n1_pu_delta = *pvar_n1_pu_delta;
else
	n1_pu_delta; //Сервер отсутствует
//
if (pp_n1_got.var_ptr != NULL)
	n1_got = *pvar_n1_got;
else
	n1_got = 0; //Сервер отсутствует
//
if (pp_n1_hook.var_ptr != NULL)
	n1_hook = *pvar_n1_hook;
else
	n1_hook = 0; //Сервер отсутствует
//
if (pp_n1_ost_ind.var_ptr != NULL)
	n1_ost_ind = *pvar_n1_ost_ind;
else
	n1_ost_ind = 0; //Сервер отсутствует
//
//
//
if (pp_n2_lbu.var_ptr != NULL)
	n2_lbu = *pvar_n2_lbu;
else
	n2_lbu = 0; //Сервер отсутствует
//
if (pp_n2_lbu_dif.var_ptr != NULL)
	n2_lbu_dif = *pvar_n2_lbu_dif;
else
	n2_lbu_dif = 0; //Сервер отсутствует
//
if (pp_n2_pu_delta.var_ptr != NULL)
	n2_pu_delta = *pvar_n2_pu_delta;
else
	n2_pu_delta; //Сервер отсутствует
//
if (pp_n2_got.var_ptr != NULL)
	n2_got = *pvar_n2_got;
else
	n2_got = 0; //Сервер отсутствует
//
if (pp_n2_hook.var_ptr != NULL)
	n2_hook = *pvar_n2_hook;
else
	n2_hook = 0; //Сервер отсутствует
//
if (pp_n2_ost_ind.var_ptr != NULL)
	n2_ost_ind = *pvar_n2_ost_ind;
else
	n2_ost_ind = 0; //Сервер отсутствует
//
///////////////////
		break;
//

// "draw_routine()" 

		case    PANEL_SERVICE_PRE_DRAW:
		break;

// "kill_routine()" 

		case    PANEL_SERVICE_PRE_KILL:

unregister_var_by_name	("I21_N1_LBU");
unregister_var_by_name	("I21_N1_LBU_DIF");
unregister_var_by_name	("I21_N1_PU_DELTA");
unregister_var_by_name	("I21_N1_GOT");
unregister_var_by_name	("I21_N1_HOOK");
unregister_var_by_name	("I21_N1_OST_IND");
//
unregister_var_by_name	("I21_N2_LBU");
unregister_var_by_name	("I21_N2_LBU_DIF");
unregister_var_by_name	("I21_N2_PU_DELTA");
unregister_var_by_name	("I21_N2_GOT");
unregister_var_by_name	("I21_N2_HOOK");
unregister_var_by_name	("I21_N2_OST_IND");
		break;
	}

}


////// End of definitions ///////////////////////////////////////////////////////////////////////

#undef GAUGE_NAME
#undef GAUGEHDR_VAR_NAME
#undef GAUGE_W

